/v2/mgmt/thirdparty/app/updateAuthorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays.
{
"attribute-key": "attribute-value"
}JAR (JWT-Secured Authorization Request, RFC 9101) settings for Third Party Applications
clientAuthMethod: "clientSecret" (default when empty), "privateKeyJwt" (only clientAssertions are accepted), "workloadIdentity" (only workloadClientAssertions are accepted) or "mtls" (only a registered mTLS certificate is accepted).
clientAssertions are the private_key_jwt trust entries (JWKS URL or PEM public key per entry).
workloadClientAssertions are the workload identity trust entries (SPIFFE trust domain or OIDC issuer per entry).
Update a third party application using the structured scope-claim mapping model, using a valid management key. The legacy attributesScopes field is ignored and cleared.
curl -X POST "https://api.descope.com/v2/mgmt/thirdparty/app/update" \ -H "Content-Type: application/json" \ -d '{}'